uuid: 582e6782-c919-4cd9-b7d7-38027be00e77
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_class_id
    - field.storage.node.field_course
    - field.storage.node.field_delivery_method
    - field.storage.node.field_location_search
    - field.storage.node.field_meeting_days
    - field.storage.node.field_meeting_times
    - field.storage.node.field_section_number
    - field.storage.taxonomy_term.field_academic_level
    - field.storage.taxonomy_term.field_course_number
    - field.storage.taxonomy_term.field_description
    - field.storage.taxonomy_term.field_subject
    - field.storage.taxonomy_term.field_title
    - search_api.server.durham_tech
  module:
    - node
    - search_api_exclude_entity
    - taxonomy
id: section_index
name: 'Section index'
description: ''
read_only: false
field_settings:
  field_academic_level:
    label: 'Course » Taxonomy term » Academic Level'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:field_academic_level'
    type: integer
    dependencies:
      config:
        - field.storage.node.field_course
        - field.storage.taxonomy_term.field_academic_level
      module:
        - taxonomy
  field_class_id:
    label: 'Class ID'
    datasource_id: 'entity:node'
    property_path: field_class_id
    type: string
    dependencies:
      config:
        - field.storage.node.field_class_id
  field_course_number:
    label: 'Course » Taxonomy term » Course number'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:field_course_number'
    type: string
    dependencies:
      config:
        - field.storage.node.field_course
        - field.storage.taxonomy_term.field_course_number
      module:
        - taxonomy
  field_delivery_method:
    label: 'Delivery Method'
    datasource_id: 'entity:node'
    property_path: field_delivery_method
    type: integer
    dependencies:
      config:
        - field.storage.node.field_delivery_method
  field_description:
    label: 'Course » Taxonomy term » Description'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:field_description'
    type: text
    dependencies:
      config:
        - field.storage.node.field_course
        - field.storage.taxonomy_term.field_description
      module:
        - taxonomy
  field_location_search:
    label: 'Location (Search)'
    datasource_id: 'entity:node'
    property_path: field_location_search
    type: string
    dependencies:
      config:
        - field.storage.node.field_location_search
  field_meeting_days:
    label: 'Meeting Days'
    datasource_id: 'entity:node'
    property_path: field_meeting_days
    type: string
    dependencies:
      config:
        - field.storage.node.field_meeting_days
  field_meeting_times:
    label: 'Meeting Times'
    datasource_id: 'entity:node'
    property_path: field_meeting_times
    type: string
    dependencies:
      config:
        - field.storage.node.field_meeting_times
  field_section_number:
    label: 'Section Number'
    datasource_id: 'entity:node'
    property_path: field_section_number
    type: string
    dependencies:
      config:
        - field.storage.node.field_section_number
  field_subject:
    label: 'Course » Taxonomy term » Subject'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:field_subject'
    type: integer
    dependencies:
      config:
        - field.storage.node.field_course
        - field.storage.taxonomy_term.field_subject
      module:
        - taxonomy
  field_title:
    label: 'Course » Taxonomy term » Title'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:field_title'
    type: text
    dependencies:
      config:
        - field.storage.node.field_course
        - field.storage.taxonomy_term.field_title
      module:
        - taxonomy
  name:
    label: 'Course » Taxonomy term » Name'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_course
      module:
        - taxonomy
  status:
    label: Published
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    dependencies:
      module:
        - node
  tid:
    label: 'Course » Taxonomy term » Term ID'
    datasource_id: 'entity:node'
    property_path: 'field_course:entity:tid'
    type: integer
    dependencies:
      config:
        - field.storage.node.field_course
      module:
        - taxonomy
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - class
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  entity_status: {  }
  entity_type: {  }
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: true
    fields:
      - field_class_id
      - field_course_number
      - field_description
      - field_location_search
      - field_meeting_days
      - field_meeting_times
      - field_section_number
      - field_title
      - name
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: true
    fields:
      - field_class_id
      - field_course_number
      - field_description
      - field_location_search
      - field_meeting_days
      - field_meeting_times
      - field_section_number
      - field_title
      - name
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node: {  }
  stemmer:
    weights:
      preprocess_index: 0
      preprocess_query: 0
    all_fields: true
    fields:
      - field_description
      - field_title
    exceptions:
      mexican: mexic
      texan: texa
  tokenizer:
    weights:
      preprocess_index: -6
      preprocess_query: -6
    all_fields: true
    fields:
      - field_description
      - field_title
    spaces: ''
    ignored: ._-
    overlap_cjk: 1
    minimum_word_size: '2'
  transliteration:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: true
    fields:
      - field_class_id
      - field_course_number
      - field_description
      - field_location_search
      - field_meeting_days
      - field_meeting_times
      - field_section_number
      - field_title
      - name
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: durham_tech
